---
- hosts: ubuntu18
  become: yes
  tasks:

    - name: Copy config file from docker logstash.conf
      copy:
        src: logstash.conf
        dest: /home/ubuntu/logging/config/
        owner: root
        group: root
        mode: '0644'
        remote_src: no

    - name: Build the new image Mylogstash
      community.docker.docker_image:
        name: mylogstash
        build:
          path: /home/ubuntu/logging
          args:
            listen_port: 5044
        source: build

    - name: Start service mylogstash, if not started
      ansible.builtin.service:
        name: mylogstash
        state: started

